/****************************************************************************
* Title                 :   IR Beacon Click example
* Filename              :   IR Beacon Click.c
* Author                :   Uros Cvetinovic
* Origin Date           :   06/07/2016
* Notes                 :   Example for the IR Beacon Click board
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials       Description
*  06/07/16       1.0.0            UC        This is a demonstration of using the IR Beacon click.
                                             The click board sends IR signals depending on the PWM frequency.
*
*****************************************************************************/
unsigned int pwm_period;
sbit IR_control at GPIO_PIN9_bit;

void main() {
	GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_9);
	pwm_period = PWM_Init(50);
	PWM_ConfigChannel((pwm_period / 4), _PWM_INIT_STATE_0, _PWM_CHANNEL_0);
	PWM_EnableOutput();

/* Sending IR signals */

	while (1) {
		IR_control = 0;
		delay_us(13);
		IR_control = 1;
		delay_us(13);
	}
}